parameters:
  data_import_files_dir: '%kernel.project_dir%/public/uploads/imports/'

services:
  ##### Commands #####

  # default configuration for services in *this* file
  _defaults:
    autowire: true
    autoconfigure: true

  ##### Controllers #####
  Lebo\ImportBundle\Controller\:
    resource: '../src/Controller'
    tags: ['controller.service_arguments','@parameter_bag']


  ##### Repositories #####
  Lebo\ImportBundle\Repository\:
    resource: '../src/Repository'
    autowire: true
    tags: [ 'doctrine.repository_service' ]

  Lebo\ImportBundle\Service\FormHandler:
    class: Lebo\ImportBundle\Service\FormHandler
    arguments:
      - '@doctrine.orm.entity_manager'

